using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace Syncfusion.Windows.Forms.Chart.Samples
{
	/// <summary>
	/// The ChartControl sample form.
	/// </summary>
	public class Form1 : Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		private System.Windows.Forms.CheckBox checkBox1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.checkBox1 = new System.Windows.Forms.CheckBox();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(237)), ((System.Byte)(240)), ((System.Byte)(247)));
			this.chartControl1.Depth = 50F;
			this.chartControl1.HidePartialLabels = false;
			this.chartControl1.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartLegendPosition.Top;
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.Dimension = 19F;
			this.chartControl1.PrimaryXAxis.Orientation = System.Windows.Forms.Orientation.Horizontal;
			this.chartControl1.PrimaryYAxis.Dimension = 38.87283F;
			this.chartControl1.Rotation = 30F;
			this.chartControl1.Series3D = false;
			this.chartControl1.ShadowColor = new Syncfusion.Drawing.BrushInfo(System.Drawing.Color.FromArgb(((System.Byte)(155)), ((System.Byte)(169)), ((System.Byte)(169)), ((System.Byte)(169))));
			this.chartControl1.Size = new System.Drawing.Size(552, 374);
			this.chartControl1.Spacing = 10F;
			this.chartControl1.TabIndex = 2;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.Tilt = 30F;
			// 
			// checkBox1
			// 
			this.checkBox1.Location = new System.Drawing.Point(560, 32);
			this.checkBox1.Name = "checkBox1";
			this.checkBox1.Size = new System.Drawing.Size(120, 16);
			this.checkBox1.TabIndex = 3;
			this.checkBox1.Text = "Adjust axis range";
			this.checkBox1.CheckedChanged += new System.EventHandler(this.checkBox1_CheckedChanged);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(694, 374);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.checkBox1,
																		  this.chartControl1});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
			this.Name = "Form1";
			this.Text = "Essential Chart - Chart Axis Customization Sample";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		
		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitializeChartData();
		}

		/// <summary>
		/// Initializes the ChartControl's data and sets the Chart type
		/// </summary>
		protected void InitializeChartData()
		{
			this.chartControl1.Indexed = true;

			ChartSeries series = this.chartControl1.Model.NewSeries("Series 1");
			series.Points.Add(1, 47);
			series.Points.Add(2, 37);
			series.Points.Add(3, 56);
			series.Points.Add(4, 26);
			series.Points.Add(5, 77);
			series.Points.Add(6, 54);
			series.Points.Add(7, 39);
			series.Points.Add(8, 29);
			series.Points.Add(9, 49);
			series.Points.Add(10, 78);
			series.Points.Add(11, 74);
			series.Points.Add(12, 77);
			series.Points.Add(13, 76);
			series.Points.Add(14, 82);
			series.Points.Add(15, 78);
				
			series.Type = ChartSeriesType.Scatter;
			series.PrepareStyle += new ChartPrepareStyleInfoHandler(this.ChartControlSeries_PrepareStyle);
			series.Text = series.Name;
			this.chartControl1.Series.Add(series);
		}
	

		/// <summary>
		/// Handler for the PrepareStyle event of ChartSeries. 
		/// </summary>
		/// <param name="sender">The ChartSeries object that raises this event.</param>
		/// <param name="args">The event data. Can be modified to change series appearance.</param>
		protected void ChartControlSeries_PrepareStyle(object sender, ChartPrepareStyleInfoEventArgs args)
		{
			// Style formatting using a callback. You can apply the same settings directly on the series style on the
			// point styles.
			ChartSeries series = sender as ChartSeries;
			if(series != null)
			{
				args.Style.Symbol.Shape = ChartSymbolShape.Circle;
				args.Style.Symbol.Size = new Size(70,70);
				args.Style.Symbol.Color = Color.RoyalBlue;
			}
		}

		private void checkBox1_CheckedChanged(object sender, System.EventArgs e)
		{
			AdjustAxisRange();
		}

		private void AdjustAxisRange()
		{
			if(this.checkBox1.Checked)
			{
				this.chartControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Set;
				this.chartControl1.PrimaryXAxis.Range.Min = -2;
				this.chartControl1.PrimaryXAxis.Range.Max = 16;
			}
			else
			{
				this.chartControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Auto;
				this.chartControl1.PrimaryXAxis.Range.Min = -1;
				this.chartControl1.PrimaryXAxis.Range.Max = 15;
			}
		}
	}
}
